import request from '@/utils/request'

// 判断登陆角色
export function judgeRole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_根据人角色编号',
      param: '编号=' + arguments[0]
    }
  })
}
// GM查询
export function selectMUForGM() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_MU',
      param: '人员编号=' + arguments[0]
    }
  })
}
// 初始化MU
export function initMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + '0'
    }
  })
}
// 除MU外部门查询Segment
export function selectSegment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + arguments[1]
    }
  })
}
// MU查询Segment
export function selectSegmentForMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_Segment',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + arguments[1]
    }
  })
}
// 除Segment外部门查询PV
export function selectPV() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + arguments[1]
    }
  })
}
// Segment查询PV
export function selectPVForSegment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_PV',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + arguments[1]
    }
  })
}
// 查询奖金得分
export function searchBonus() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_生产奖金查询',
      param: 'MU_Departments_Check=' + arguments[0] + '\\&MU_Departments=' + arguments[1] + '\\&Segment_Departments_Check=' + arguments[2] + '\\&Segment_Departments=' + arguments[3] + '\\&PV_Departments_Check=' + arguments[4] + '\\&PV_Departments=' + arguments[5] + '\\&月份=' + arguments[6],
      pagination: arguments[7] + '&' + arguments[8]
    }
  })
}
// Segment结算奖金
export function BonusSettlement() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '奖金绩效系统_生产奖金结算',
      param: '月份=' + arguments[0] + '\\&MU代码=' + arguments[1] + '\\&Segment代码=' + arguments[2]
    }
  })
}
// 查询冻结权限
export function initrole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '输入权限判断'
    }
  })
}
